function []=challenge(recordName)
[~,config] = wfdbloadlib;
annName = 'qrs'; % This annotator name is required by the Challenge rules.
try
    testing=0; 
challengedetector_TH(recordName,annName,testing); 
catch
     %% CATCH CATCH % CATCH CATCH % CATCH CATCH % CATCH CATCH % CATCH CATCH 
% %      %%   VERY SIMPLE 
       disp('caught it all !!'); 
%      %  Detection
     gqrs(recordName,[],[],1,[],annName);
% %     cbeats=rdann(recordName,'qrs')';
% %     % % % % Correction
% %     % % % toosmall=(rbbi-conv(rbbi,ones(1,9)/9,'same'))<-md/3; 
% %     % % % beats=beats(1,~[toosmall| [toosmall(1,2:end),1] ]);
% %     % % % bbi=diff(beats); bbi=[bbi(1,1), bbi];
% %     % % % toobig=(bbi-conv([bbi(1,1:4), bbi,bbi(1,(end-3):end) ],ones(1,9)/9,'valid'))>md/2; 
% %     % % % dort=find(toobig);
% %     % % % for kk=1:size(dort,2)
% %     % % %     k=dort(1,kk);
% %     % % %     luecke=beats(1,k)-beats(1,k-1);
% %     % % %     [ ~, mi]=min(abs(luecke./(1:5)-(bbi(1,k-1)+bbi(1,k+1))/2)); mi=mi-1;
% %     % % %     dort=dort+mi;
% %     % % %     new_beats=  linspace(beats(1,(k-1)), beats(1,k),mi+2); new_beats=new_beats(1,2:(end-1)); 
% %     % % %    beats=[beats(1,1:(k-1)),  new_beats, beats(1,k:end)];
% %     % % %    bbi=diff(beats); bbi=[bbi(1,1), bbi];
% %     % % % end
% % 
% %     % % %  figure(f2), hold on;plot(beats,bbi,'b');
% % 
%  end % ENDE der TRY-CATCH ###### ENDE der TRY-CATCH ###### ENDE der TRY-CATCH ######
end

end
